#### D.5.2.50 SchurS

Procedure from library `chern.lib` (see chern_lib).

Usage:
  SchurS(I, S); I list of integers representing a partition, S list of polynomials

Return:
  poly

Purpose:
  computes the Schur polynomial in the Segre classes S (of the dual vector bundle), i.e., in the complete homogeneous symmetric polynomials, with respect to the partition I

Note:
  if S are the Segre classes of the tautological bundle on a grassmanian, this gives the cohomology class of a Schubert cycle

Example:

    LIB "chern.lib";
    // The Schur polynomial corresponding to the partition 1,2,4
    // and the Segre classes 1, s(1), s(2),..., s(6)
    ring r=0,(s(1..6)), dp;
    list I=1,2,4;
    list S=s(1..6);
    print( SchurS(I, S) );
    // compare this with the Schur polynomial computed using Chern classes
    list C=chDual(chern(S));
    print( SchurCh(I, C) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.